# SelectBiomePhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SelectBiomePhase

#### Hierarchy (view full)

- BattlePhase
  - SelectBiomePhase

- Defined in src/phases.ts:1166

#####
Index

### Constructors

constructor

### Properties

scene

### Methods

end
generateNextBiome
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new SelectBiomePhase(scene): SelectBiomePhase

- #### Parameters

  - scene: default

  #### Returns SelectBiomePhase

  Overrides BattlePhase.constructor

  - Defined in src/phases.ts:1167

## Properties

### `Protected` scene

scene: default

Inherited from BattlePhase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:17

### generateNextBiome

- generateNextBiome(): Biome

- #### Returns Biome

  - Defined in src/phases.ts:1232

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases.ts:1171